org.keycloak.services.x509

## Class HaProxySslClientCertificateLookupFactory

- java.lang.Object
- - org.keycloak.services.x509.AbstractClientCertificateFromHttpHeadersLookupFactory
  - - org.keycloak.services.x509.HaProxySslClientCertificateLookupFactory

- All Implemented Interfaces:
    ProviderFactory<X509ClientCertificateLookup>, X509ClientCertificateLookupFactory

      public class HaProxySslClientCertificateLookupFactory
      extends AbstractClientCertificateFromHttpHeadersLookupFactory

  Since:
    4/4/2017
  Version:
    $Revision: 1 $
  Author:
    Peter Nalyvayko

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.services.x509.AbstractClientCertificateFromHttpHeadersLookupFactory

      `CERTIFICATE_CHAIN_LENGTH, certificateChainLength, HTTP_HEADER_CERT_CHAIN_PREFIX, HTTP_HEADER_CLIENT_CERT, sslChainHttpHeaderPrefix, sslClientCertHttpHeader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HaProxySslClientCertificateLookupFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509ClientCertificateLookup` | `create(KeycloakSession session)`
    `String` | `getId()`

    - ### Methods inherited from class org.keycloak.services.x509.AbstractClientCertificateFromHttpHeadersLookupFactory

      `close, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### HaProxySslClientCertificateLookupFactory

          public HaProxySslClientCertificateLookupFactory()

  - ### Method Detail

    - #### create

          public X509ClientCertificateLookup create(KeycloakSession session)

    - #### getId

          public String getId()

Copyright © 2020 JBoss by Red Hat. All rights reserved.